unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, emiDriveCombo, FileCtrl, ExtCtrls;

type
  TForm1 = class(TForm)
    EDCB1: TEmiDriveComboBox;
    GBOptions: TGroupBox;
    CBNoFloppy: TCheckBox;
    CBNoFixed: TCheckBox;
    CBNoCDROM: TCheckBox;
    CBNoNetwork: TCheckBox;
    CBNoRAM: TCheckBox;
    CBNoFree: TCheckBox;
    CBNoTape: TCheckBox;
    RGIconSize: TRadioGroup;
    RGTextCase: TRadioGroup;
    CBNoABDrives: TCheckBox;
    PAInfos: TPanel;
    LAInfo1: TLabel;
    LAInfos2: TLabel;
    LAInfos3: TLabel;
    LAInfos4: TLabel;
    LADrive: TLabel;
    LADriveType: TLabel;
    LAVolumeID: TLabel;
    LANetworkVolume: TLabel;
    procedure RGTextCaseClick(Sender: TObject);
    procedure RGIconSizeClick(Sender: TObject);
    procedure CBNoFloppyClick(Sender: TObject);
    procedure CBNoFixedClick(Sender: TObject);
    procedure CBNoCDROMClick(Sender: TObject);
    procedure CBNoNetworkClick(Sender: TObject);
    procedure CBNoRAMClick(Sender: TObject);
    procedure CBNoFreeClick(Sender: TObject);
    procedure CBNoTapeClick(Sender: TObject);
    procedure CBNoABDrivesClick(Sender: TObject);
    procedure EDCB1Change(Sender: TObject);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.RGTextCaseClick(Sender: TObject);
begin
     if RGTextCase.ItemIndex=1
     then EDCB1.TextCase:=emiDriveCombo.tcUpperCase
     else EDCB1.TextCase:=emiDriveCombo.tcLowerCase;
end;

procedure TForm1.RGIconSizeClick(Sender: TObject);
begin
     if RGIconSize.ItemIndex=1
     then EDCB1.IconSize:=tiLargeIcon
     else EDCB1.IconSize:=tiSmallIcon;
end;

procedure TForm1.CBNoFloppyClick(Sender: TObject);
begin
     if CBNoFloppy.Checked
     then EDCB1.Options:=EDCB1.Options+[doNoFloppy]
     else EDCB1.Options:=EDCB1.Options-[doNoFloppy];
end;

procedure TForm1.CBNoFixedClick(Sender: TObject);
begin
     if CBNoFixed.Checked
     then EDCB1.Options:=EDCB1.Options+[doNoFixed]
     else EDCB1.Options:=EDCB1.Options-[doNoFixed];

end;

procedure TForm1.CBNoCDROMClick(Sender: TObject);
begin
     if CBNoCDROM.Checked
     then EDCB1.Options:=EDCB1.Options+[doNoCDROM]
     else EDCB1.Options:=EDCB1.Options-[doNoCDROM];
end;

procedure TForm1.CBNoNetworkClick(Sender: TObject);
begin
     if CBNoNetwork.Checked
     then EDCB1.Options:=EDCB1.Options+[doNoNetwork]
     else EDCB1.Options:=EDCB1.Options-[doNoNetwork];
end;

procedure TForm1.CBNoRAMClick(Sender: TObject);
begin
     if CBNoRAM.Checked
     then EDCB1.Options:=EDCB1.Options+[doNoRAM]
     else EDCB1.Options:=EDCB1.Options-[doNoRAM];
end;

procedure TForm1.CBNoFreeClick(Sender: TObject);
begin
     if CBNoFree.Checked
     then EDCB1.Options:=EDCB1.Options+[doNoFree]
     else EDCB1.Options:=EDCB1.Options-[doNoFree];
end;

procedure TForm1.CBNoTapeClick(Sender: TObject);
begin
     if CBNoTape.Checked
     then EDCB1.Options:=EDCB1.Options+[doNoTape]
     else EDCB1.Options:=EDCB1.Options-[doNoTape];
end;

procedure TForm1.CBNoABDrivesClick(Sender: TObject);
begin
     if CBNoABDrives.Checked
     then EDCB1.Options:=EDCB1.Options+[doNoABDrives]
     else EDCB1.Options:=EDCB1.Options-[doNoABDrives];
end;

procedure TForm1.EDCB1Change(Sender: TObject);
const DriveTypes : array[0..6] of string =
      ('dtUnknown', 'dtNoDrive', 'dtFloppy', 'dtFixed',
       'dtNetwork', 'dtCDROM', 'dtRAM');
begin
     LADrive.Caption:='N/A';
     LADriveType.Caption:='N/A';
     LAVolumeID.Caption:='N/A';
     LANetworkVolume.Caption:='N/A';
     if (EDCB1.ItemIndex<>-1) and (EDCB1.Drive<>#0) then
     begin
       LADrive.Caption:=EDCB1.Drive+':';
       LADriveType.Caption:=DriveTypes[Integer(EDCB1.SelectedDriveType)];
       LAVolumeID.Caption:=EDCB1.SelectedVolumeID;
       LANetworkVolume.Caption:=EDCB1.SelectedNetworkVolume;
     end;
end;

end.
